@call "%~dp0config.bat" 0 > nul

echo * Sicherung der Konfigurationsdateien
set zuletzt=2013-01-01T00:00
md %XML%\backup 1> NUL 2> NUL
for /f "usebackq tokens=1-7* delims=. " %%I in (`dir /od /tw /-c %XML%\backup\ ^| findstr /I \.xml`) do (
  set zuletzt=%%K-%%J-%%IT%%L
) 
rem Letzte Aenderung: %zuletzt%
set UPDATE=0
if [%zuletzt:~1,2%]==[M-] goto info

for /f "usebackq tokens=1-7* delims=. " %%I in (`dir /tw /-c %XML% ^| findstr /I \.xml`) do (
  if "%%K-%%J-%%IT%%L" GTR "%zuletzt%" (
    copy %XML%\%%N.%%O %XML%\backup\%%N_%%K-%%J-%%I.%%O 1>NUL
	echo   Sichere "%%N.%%O"
	set UPDATE=1
  )
) 

:info
if [%UPDATE%] == [1] (
  call config_info.bat
) else (
  echo   Keine Sicherung erforderlich.
)